package com.junmp.junmpProcess.utils;

import java.util.ArrayList;
import java.util.List;

public class CreateNullData {

    public static <T> List<T> createNullData(Long size,Long pageNo,Long pageSize,Class<T> clazz) {

        //余数
        long num= size % pageSize;
        //整数
        long integer=size / pageSize;
        List<T> collect1=new ArrayList<>();
        if (num!=0){
            //判断整数是什么，就在第几页进行补
            if(pageNo-1==integer){
                for (int i = 0; i < pageSize-num; i++) {
                    try {
                        // 通过传递的 Class 对象创建泛型对象实例
                        T instance = clazz.newInstance();
                        collect1.add(instance);
                    } catch (InstantiationException | IllegalAccessException e) {
                        e.printStackTrace();
                    }
                }
            }
        }
        return collect1;
    }

}
